Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TTable

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TNodeWithAliasClause
              gudusoft.gsqlparser.nodes.TTable

All Implemented Interfaces:
  Visitable

    public class TTable

extends TNodeWithAliasClause

Represents various kinds of table source in from clause. Can also be a simple table/view name in create table and all other places. result of `getTableType()` can be one of:

- ftt_objectname, in from clause, a simple table/view name, reference: `tableName`
- ftt_subquery, is a subquery that retrieves rows from the database, also known as derived table. reference: `subquery`
- ftt_tableExpr,it's usually a table-valued expression., reference: `tableExpr`
- ftt_function, it's usually a table-valued function., reference: `funcCall`
- `ETableSource.rowList`, it's constructed rows, reference: `rowList`
- ftt_containsTable, CONTAINSTABLE clause of sql server. reference: `containsTable`, type of `TContainsTable`
- ftt_freetextTable, FREETEXTTABLE clause of sql server. reference: `containsTable`, type of `TContainsTable`
- ftt_openrowset, OPENROWSET clause of sql server. reference: `openRowSet`, type of `TOpenRowSet`
- ftt_openxml, OPENXML clause of sql server. reference: `openXML`, type of `TOpenXML`
- ftt_opendatasource, OPENDATASOURCE clause of sql server. reference: `openDatasource`, type of `TOpenDatasource`
- ftt_openquery, OPENQUERY clause of sql server. reference: `openquery`, type of (@link TOpenQuery)

Field Summary
`TSelectSqlStatement` | `subquery`
`TTableReferenceList` | `tablerefs`

Constructor Summary
`TTable()`
`TTable(TObjectName pobjectname)`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`TContainsTable` | `getContainsTable()`
`TObjectNameList` | `getCteColomnReferences()`
`TDataChangeTable` | `getDatachangeTable()` DB2 data change
`java.lang.String` | `getFullName()`
`java.lang.String` | `getFullNameWithAliasString()`
`TFunctionCall` | `getFuncCall()`
`java.lang.String` | `getName()`
`TObjectNameList` | `getObjectNameReferences()`
`TOpenDatasource` | `getOpenDatasource()` Valid when `tableType` is ftt_opendatasource.
`TOpenQuery` | `getOpenquery()`
`TOpenRowSet` | `getOpenRowSet()`
`TOpenXML` | `getOpenXML()`
`TPivotClause` | `getPivotClause()`
`TMultiTargetList` | `getRowList()` row constructor like this: '(' RW_VALUES MultiTargets ')'
`TSelectSqlStatement` | `getSubquery()`
`TExpression` | `getTableExpr()`
`TPTNodeList<TTableHint>` | `getTableHintList()`
`TObjectName` | `getTableName()`
`ETableSource` | `getTableType()`
`boolean` | `isBaseTable()`
`boolean` | `isCTEName()`
`boolean` | `isTableRefBelongToThisTable(TTableReference tableref)`
`void` | `setContainsTable(TContainsTable containsTable)`
`void` | `setCteColomnReferences(TObjectNameList cteColomnReferences)`
`void` | `setCTEName(boolean CTEName)`
`void` | `setDatachangeTable(TDataChangeTable datachangeTable)`
`void` | `setFuncCall(TFunctionCall funcCall)`
`void` | `setObjectNameReferences(TObjectNameList objectNameReferences)`
`void` | `setOpenDatasource(TOpenDatasource openDatasource)`
`void` | `setOpenquery(TOpenQuery openquery)`
`void` | `setOpenRowSet(TOpenRowSet openRowSet)`
`void` | `setOpenXML(TOpenXML openXML)`
`void` | `setPivotClause(TPivotClause pivotClause)`
`void` | `setRowList(TMultiTargetList rowList)`
`void` | `setTableExpr(TExpression tableExpr)`
`void` | `setTableHintList(TPTNodeList<TTableHint> tableHintList)`
`void` | `setTableName(TObjectName tableName)`
`void` | `setTableType(ETableSource tableType)`

Methods inherited from class gudusoft.gsqlparser.nodes.TNodeWithAliasClause
`getAliasClause, setAliasClause, toString`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### subquery

    public TSelectSqlStatement subquery

### tablerefs

    public TTableReferenceList tablerefs

Constructor Detail

### TTable

    public TTable(TObjectName pobjectname)

### TTable

    public TTable()

Method Detail

### setTableHintList

    public void setTableHintList(TPTNodeList<TTableHint> tableHintList)

### getTableHintList

    public TPTNodeList<TTableHint> getTableHintList()

### getOpenquery

    public TOpenQuery getOpenquery()

### getSubquery

    public TSelectSqlStatement getSubquery()

### setOpenquery

    public void setOpenquery(TOpenQuery openquery)

### setOpenDatasource

    public void setOpenDatasource(TOpenDatasource openDatasource)

### getOpenDatasource

    public TOpenDatasource getOpenDatasource()

  Valid when `tableType` is ftt_opendatasource.

  Returns:

### setOpenXML

    public void setOpenXML(TOpenXML openXML)

### getOpenXML

    public TOpenXML getOpenXML()

### getOpenRowSet

    public TOpenRowSet getOpenRowSet()

### setOpenRowSet

    public void setOpenRowSet(TOpenRowSet openRowSet)

### getContainsTable

    public TContainsTable getContainsTable()

### setContainsTable

    public void setContainsTable(TContainsTable containsTable)

### getFuncCall

    public TFunctionCall getFuncCall()

### setFuncCall

    public void setFuncCall(TFunctionCall funcCall)

### getRowList

    public TMultiTargetList getRowList()

  row constructor like this: '(' RW_VALUES MultiTargets ')'

  Returns:
    TMultiTargetList

### isBaseTable

    public boolean isBaseTable()

### setCteColomnReferences

    public void setCteColomnReferences(TObjectNameList cteColomnReferences)

### getCteColomnReferences

    public TObjectNameList getCteColomnReferences()

### setObjectNameReferences

    public void setObjectNameReferences(TObjectNameList objectNameReferences)

### isCTEName

    public boolean isCTEName()

### setCTEName

    public void setCTEName(boolean CTEName)

### getTableExpr

    public TExpression getTableExpr()

### setTableExpr

    public void setTableExpr(TExpression tableExpr)

### setTableType

    public void setTableType(ETableSource tableType)

### getTableType

    public ETableSource getTableType()

  Returns:
    what's kind of type this table is.
    - `ETableSource.objectname`, in from clause, a simple table/view name, reference: `tableName`
    - `ETableSource.subquery`, is a subquery that retrieves rows from the database, also known as derived table. reference: `subquery`
    - `ETableSource.tableExpr`,it's usually a table-valued expression., reference: `tableExpr`
    - `ETableSource.function`, it's usually a table-valued function., reference: `funcCall`
    - `ETableSource.rowList`, it's constructed rows, reference: `rowList`
    - `ETableSource.containsTable`, CONTAINSTABLE clause of sql server. reference: `containsTable`, type of `TContainsTable`
    - `ETableSource.freetextTable`, FREETEXTTABLE clause of sql server. reference: `containsTable`, type of `TContainsTable`
    - `ETableSource.openrowset`, OPENROWSET clause of sql server. reference: `openRowSet`, type of `TOpenRowSet`
    - `ETableSource.openxml`, OPENXML clause of sql server. reference: `openXML`, type of `TOpenXML`
    - `ETableSource.opendatasource`, OPENDATASOURCE clause of sql server. reference: `openDatasource`, type of `TOpenDatasource`
    - `ETableSource.openquery`, OPENQUERY clause of sql server. reference: `openquery`, type of (@link TOpenQuery)

### setTableName

    public void setTableName(TObjectName tableName)

### getTableName

    public TObjectName getTableName()

### getName

    public java.lang.String getName()

### getFullNameWithAliasString

    public java.lang.String getFullNameWithAliasString()

### getFullName

    public java.lang.String getFullName()

### getObjectNameReferences

    public TObjectNameList getObjectNameReferences()

  Returns:
    column name related to this table.

### setPivotClause

    public void setPivotClause(TPivotClause pivotClause)

### getPivotClause

    public TPivotClause getPivotClause()

### setDatachangeTable

    public void setDatachangeTable(TDataChangeTable datachangeTable)

### getDatachangeTable

    public TDataChangeTable getDatachangeTable()

  DB2 data change

  Returns:

### isTableRefBelongToThisTable

    public boolean isTableRefBelongToThisTable(TTableReference tableref)

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

### setRowList

    public void setRowList(TMultiTargetList rowList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD